---
features:
  secondary:
  - name: "Improved handling of unresponsive external status checks"
    available_in: [ultimate]  # Include all supported tiers
    documentation_link: 'https://docs.gitlab.com/ee/user/project/merge_requests/status_checks.html#status-checks-widget'
    reporter: derekferguson
    stage: software_supply_chain_security
    categories:
    - 'Compliance Management'
    issue_url: # Multiple links are supported. Avoid linking to confidential issues.
    - 'https://gitlab.com/groups/gitlab-org/-/epics/11081'
    description: |
      Previously, external status checks on MRs continued to poll the external URL until they received either a successful or failed response.
      This could result in some status checks seeming to hang in an unresponsive state.

      Now, a 2 minute timeout has been incorporated so that you can manually retry the status check after 2 minutes if you are not getting any
      response from the external system.
